GCLI-REPOS(1)

NAME
gcli repos - Manage remote repositories on various git forges

SYNOPSIS
gcli repos [-s] [-n n] [-o owner]
gcli repos create -r name [-d description] [-p]
gcli repos [-o owner -r repo] actions...

DESCRIPTION
gcli repos can be used to list or manage your own or an organisation's repositories on git(1) forges such as GitHub, Gitea and GitLab. With no actions given, gcli repos will list repositories, either of the through -o specified owner or, if omitted, your own. Otherwise the given actions are executed on the specified or auto-detected repository. See ACTIONS.

OPTIONS

-s, --sorted
    Reverse the output such that most recent items appear at the bottom.

-o, --owner owner
    Operate on the repository of the given owner. This option can only be used in combination with -r.

-r, --repo repo
    Operate on the given repository. This option can only be used in combination with -o unless you are creating a repository.

-y, --yes
    Do not ask for confirmation. Assume yes. Applies only to the delete action.

-n, --count n
    Fetch at least n repositories. Setting n to -1 will fetch all repositories. Default: 30. Note that on owners with many repositories fetching all of them can take a considerable amount of time and may result in rate limiting by the GitHub/GitLab API.

-d, --description description
    Set the description of a repo to be created.

-p, --private
    Create a private repo.

ACTIONS
actions... may be one or more of the following:

delete [-y]
    Delete the repository. You will be asked for confirmation unless you set -y.

set-visibility level
    Change the visibility level of the repository. level may be one of:

    private
        Make the repository private.

    public
        Make the repository public.

EXAMPLES
List your own repos:

    $ gcli repos

List neutaaaaan's repositories:

    $ gcli repos -o neutaaaaan

Delete vim/vim without confirmation:

    $ gcli repos -o vim -r vim -y delete

Create a repository called emacs with a description and make it public:

    $ gcli repos create -r emacs -d "welcome to the holy church of emacs."

SEE ALSO
git(1), gcli(1), emacs(1)

AUTHORS
Nico Sonack aka. herrhotzenplotz <nsonack@herrhotzenplotz.de> and contributors.

BUGS
Currently it is only possible to create repositories for authenticated users thus it is impossible to create a repository in another organisations.

Please report bugs via E-Mail to https://lists.sr.ht/~herrhotzenplotz/gcli-discuss.

Alternatively you can report them on any of the forges linked at https://sr.ht/~herrhotzenplotz/gcli. However, the preferred and quickest method is to use the mailing list.